/* downloads_page.h
*
*
*  (c) 2001-2002 Tim-Philipp Muller <t.i.m@orange.net>
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_DOWNLOADS_PAGE_H_INCLUDED_
#define _ED2K_GUI_DOWNLOADS_PAGE_H_INCLUDED_

#include <time.h>
#include <gtk/gtk.h>

#define NO_OF_DOWNLOAD_COLS 13
#define DL_CLIST	GTK_CLIST(clist_downloads)

extern GtkWidget	*clist_downloads;
extern GtkWidget	*dl_scrollwin;		// global so we can remember adjustment

extern gfloat		 total_downloaded;
extern time_t		 seconds_download_was_nonzero;

/* functions */
GtkWidget	*downloads_page_create (void);
gint		 downloadclist_compare_func (GtkCList *clist, gconstpointer ptr1, gconstpointer ptr2);
void		 downloads_pause_and_resume_all_active_downloads (void);
void		 downloads_page_set_free_space (gfloat needed, gfloat temp, gfloat incoming);

#endif
