/*  filter.h
*
*   (c) 2001 Tim-Philipp Muller
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_FILTER_H_INCLUDED_
#define _ED2K_GUI_FILTER_H_INCLUDED_

extern char delimitors[];
extern char **filters;
extern unsigned int no_of_filters;

int filter_this_filename (const gchar *fn);
int as_word_in_string (char *s, char*w);

void read_filters(void);
void write_filters(void);
void free_filters(void);

void check_if_filterlistfile_changed (void);

#endif
