/* gaps.h  (ed2k_gui)
*
* all stuff that has to do with the file gaps...
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_GAPS_H_INCLUDED_
#define _ED2K_GUI_GAPS_H_INCLUDED_

#include "downloads_data.h"

#include <gtk/gtk.h>


#define POS_NOT_IN_LIST -1

// some shorthands: assumes that we use variable 'item' which is of type 'filelist_item *'
#define ITEM_GAPRECORD		(gaps_record *)item->gaprecord
#define ITEM_GAPLIST		(ITEM_GAPRECORD)->gaplist
#define ITEM_PIXMAP		(ITEM_GAPRECORD)->pm
#define ITEM_BITMAP		(ITEM_GAPRECORD)->bm

#define GAPCOUNTER_ASKED	1000
#define GAPCOUNTER_FILLED	2000

/*struct gap {
	unsigned int 	start;
	unsigned int 	end;
	unsigned int 	value;		// gap status => derive colour from this
} ;

typedef struct gap gap;

// every filelist item in the downloadlist will have a pointer to one gaps_record structure
//  (because we were running out of integers we could abuse as pointers and I didn't want
//   to change the filelist item record size)

struct gaps_record {
	gap		*gaplist;
	GdkPixmap	*pm;
	GdkBitmap	*bm;
} ;
typedef struct gaps_record gaps_record;
*/
extern unsigned int flag_core_knows_gaps;

void add_gap (downloadRecord *item, unsigned int start, unsigned int end, unsigned int value);
void free_pixmaps (downloadRecord *item);
void init_gaplist (downloadRecord *item, guint no_gaps);
//GdkPixmap * turn_gaplist_into_pixmap (filelist_item *item, unsigned int width, unsigned int height, GdkBitmap **bm_p);
void create_gaplist_pixmap (downloadRecord *item);
void get_gaps_for_visible_downloads (void);
unsigned int get_transfered_from_gaps (downloadRecord *item);

gint		find_min_num_of_sources_from_gaplist (downloadRecord *item);

void free_oldpixmaps (void);

#endif
