/*
*   parse_message.h
*
*   (c) 2001 Tim-Philipp Mueller <t.i.m@orange.net>
*
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_parse_message_h_included_
#define _ed2k_gui_parse_message_h_included_

#include "ramfile.h"
#include <time.h>

extern int  update_space_stat;		// update after next status packet
extern int  just_asked_for_space_stat;	// flag we set to avoid message output when we send 'space' to get space stats
extern int  just_asked_for_peers_stat;	// flag we set to avoid message output when we send 'vp' to get connection stats

void		parse_message_from_client (ramfile *packet);
void		parse_message_set_overnet_mode (gboolean overnet);

#endif
