/* shared_page.h
*
*  (c) 2001 Tim-Philipp Muller <t.i.m@orange.net>
*
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_SHARED_PAGE_H_INCLUDED_
#define _ED2K_GUI_SHARED_PAGE_H_INCLUDED_

#include <gtk/gtk.h>
#include "global.h"

#define SHARED_PATH_ENTRY_WIDGET_DEFAULT_TEXT	_("<path on remote computer>")

extern int  sharedlist_sortcolumn;                /* we don't need that at the moment */
extern int  sharedlist_sorttype;


extern GtkWidget *clist_files;		/* clist for shared files */
extern GtkWidget *clist_shared;	        /* clist for shared dires */
extern GtkWidget *spanedwin;		/* paned window for both  */
extern GtkWidget *ew_addshared;         /* we need this global, so the pop-up menu functions can */
                                        /* access it (in case the core runs not on localhost)    */
extern GtkWidget *shared_hbox;          /* global so we can hide it if on local host             */

gint		 sharedfiles_clist_compare_func (GtkCList *clist, gconstpointer ptr1, gconstpointer ptr2);
void		 shared_page_set_stats_label_message (const gchar *txt);
GtkWidget	*shared_page_create (void);


#endif
